<!doctype html>
<html lang="en">

<head>
    <title>Voucher</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- DataTable -->
    <!--  -->
    <!-- Import DataTable Library -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css"
        integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous" />
</head>

<body>
    <div class="container">
        <div class="h2 mt-5 mb-5 text-center">Danh Sách Nước Uống</div>
        <table id="table-drink" class="table table-bordered table-striped">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>Mã giảm giá</th>
                    <th>Phần trăm giảm giá</th>

                    <th>Ngày tạo</th>
                    <th>Ngày Cập Nhật</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>



</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gCOL_NAME = ["stt", "maVoucher", "phanTramGiamGia", "ngayTao", "ngayCapNhat"];
    const gCOL_STT = 0;
    const gCOL_MA_GIAM_GIA = 1;
    const gCOL_PHAN_TRAM_GIAM_GIA = 2;

    const gCOL_NGAY_TAO = 3;
    const gCOL_NGAY_CAP_NHAT = 4;
    var gSTT = 0;
    const gBASE_URL = "http://localhost:8081/voucher5?page=10&size=15";


    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onTable();
        onLoadDataTable();

    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onTable() {
        $("#table-drink").DataTable({
            columns: [
                { "data": gCOL_NAME[gCOL_STT] },
                { "data": gCOL_NAME[gCOL_MA_GIAM_GIA] },
                { "data": gCOL_NAME[gCOL_PHAN_TRAM_GIAM_GIA] },

                { "data": gCOL_NAME[gCOL_NGAY_TAO] },
                { "data": gCOL_NAME[gCOL_NGAY_CAP_NHAT] },

            ],
            columnDefs: [
                {
                    targets: gCOL_STT,
                    render: genderSTT,
                }
            ]

        })
    }
    function genderSTT() {
        gSTT++;
        return gSTT;
    }
    function onLoadDataTable() {
        $.ajax({
            url: gBASE_URL,
            type: "GET",
            success: function (paramRes) {
                onFillDataTable(paramRes);
                console.log(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function onFillDataTable(paramData) {
        var vTable = $("#table-drink").DataTable();
        vTable.clear();
        gSTT = 0;
        vTable.rows.add(paramData);
        vTable.draw();

    }

</script>

</html>